Wt: Wt::WDefaultLayout Class Reference

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
Wt::WDefaultLayout Class Reference

A default layout manager. More...

`#include <Wt/WDefaultLayout>`

Inheritance diagram for Wt::WDefaultLayout:
[legend]

List of all members.

## Public Member Functions
| WDefaultLayout (WWidget *parent=0)
| Creates a new WDefaultLayout.
| ~WDefaultLayout ()
| Destructor.
virtual void | addItem (WLayoutItem *item)
| Adds a layout item.
virtual void | removeItem (WLayoutItem *item)
| Removes a layout item (widget or nested layout).
virtual WLayoutItem * | itemAt (int index) const
| Returns the layout item at a specific index.
virtual int | indexOf (WLayoutItem *item) const
| Returns the index of a given item.
virtual int | count () const
| Returns the number of items in this layout.
virtual void | clear ()
| Removes and deletes all child widgets and nested layouts.

## Detailed Description

A default layout manager.

The default layout does not attempt to resize any of the widgets, and puts all widgets vertically above each other.

Note:
  This layout manager is applicable only to Ext::Container container widgets. However, its behaviour is equivalent to not using a layout manager on a WContainerWidget and adding contents directly using WContainerWidget::addWidget().

## Member Function Documentation

void Wt::WDefaultLayout::addItem | ( | WLayoutItem * | item | ) | `[virtual]`

Adds a layout item.

The item may be a widget or nested layout, and is added below the last added item.

See also:
  removeItem(WLayoutItem *), addWidget(WWidget *)

Implements Wt::WLayout.

void Wt::WDefaultLayout::clear | ( |  | ) | `[virtual]`

Removes and deletes all child widgets and nested layouts.

This is similar to WContainerWidget::clear(), with the exception that the layout itself is not deleted.

Implements Wt::WLayout.

int Wt::WDefaultLayout::count | ( |  | ) | const`[virtual]`

Returns the number of items in this layout.

This may be a theoretical number, which is greater than the actual number of items. It can be used to iterate over the items in the layout, in conjunction with itemAt().

Implements Wt::WLayout.

int Wt::WDefaultLayout::indexOf | ( | WLayoutItem * | item | ) | const`[virtual]`

Returns the index of a given item.

The default implementation loops over all items, and returns the index for which itemAt(index) equals `item`.

See also:
  itemAt(int) const

Reimplemented from Wt::WLayout.

WLayoutItem * Wt::WDefaultLayout::itemAt | ( | int | index | ) | const`[virtual]`

Returns the layout item at a specific index.

If there is no item at the `index`, `0` is returned.

See also:
  indexOf(WLayoutItem *) const, count()

Implements Wt::WLayout.

void Wt::WDefaultLayout::removeItem | ( | WLayoutItem * | item | ) | `[virtual]`

Removes a layout item (widget or nested layout).

See also:
  addItem(WLayoutItem *), removeWidget(WWidget *)

Implements Wt::WLayout.

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator